/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.flowable.db.entity;

import net.northking.cctp.common.db.POJO;

import net.northking.cctp.common.saas.db.TenantPartition;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

/**
 * 图项扩展属性
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-23 20:58:03  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Entity
@Table(name = "sp_def_item_ext")
@DynamicInsert
@DynamicUpdate
public class SpDefItemExt extends TenantPartition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_spId = "spId";
  public static final String KEY_itemId = "itemId";
  public static final String KEY_itemType = "itemType";
  public static final String KEY_enableNotice = "enableNotice";
  public static final String KEY_enableTodo = "enableTodo";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
    @Id
    @Column(name = "id")
  private String id;
  /**
   * 流程主键<br>
   */
    @Column(name = "sp_id")
  private String spId;
  /**
   * 图项id<br>
   */
    @Column(name = "item_id")
  private String itemId;
  /**
   * 图项类型<br>
   */
    @Column(name = "item_type")
  private Integer itemType;
  /**
   * 是否启用通知<br>
   */
    @Column(name = "enable_notice")
  private Boolean enableNotice;
  /**
   * 是否启用代办<br>
   */
    @Column(name = "enable_todo")
  private Boolean enableTodo;
  /**
   * 租户id<br>
   */
    @Column(name = "tenant_id")
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 流程主键<br>
   */
  public String getSpId()
  {
      return spId;
    }

  /**
   * 流程主键<br>
   *
   * @param spId 流程主键
   */
  public void setSpId(String spId)
  {
      this.spId = spId;
    }
  /**
   * 图项id<br>
   */
  public String getItemId()
  {
      return itemId;
    }

  /**
   * 图项id<br>
   *
   * @param itemId 图项id
   */
  public void setItemId(String itemId)
  {
      this.itemId = itemId;
    }
  /**
   * 图项类型<br>
   */
  public Integer getItemType()
  {
      return itemType;
    }

  /**
   * 图项类型<br>
   *
   * @param itemType 图项类型
   */
  public void setItemType(Integer itemType)
  {
      this.itemType = itemType;
    }
  /**
   * 是否启用通知<br>
   */
  public Boolean getEnableNotice()
  {
      return enableNotice;
    }

  /**
   * 是否启用通知<br>
   *
   * @param enableNotice 是否启用通知
   */
  public void setEnableNotice(Boolean enableNotice)
  {
      this.enableNotice = enableNotice;
    }
  /**
   * 是否启用代办<br>
   */
  public Boolean getEnableTodo()
  {
      return enableTodo;
    }

  /**
   * 是否启用代办<br>
   *
   * @param enableTodo 是否启用代办
   */
  public void setEnableTodo(Boolean enableTodo)
  {
      this.enableTodo = enableTodo;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public SpDefItemExt()
  {
  }

}
